#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 6. Editors

- Prev

  Emacs-27.2

- Next

  JOE-4.6

- Up
- Home

# Gedit-41.0

## Introduction to Gedit

The Gedit package contains a lightweight UTF-8 text editor for the GNOME Desktop.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gedit/41/gedit-41.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gedit/41/gedit-41.0.tar.xz

- Download MD5 sum: 0f5ab93e046bba825b784d5410817cec

- Download size: 6.6 MB

- Estimated disk space required: 75 MB (with tests)

- Estimated build time: 0.3 SBU (using parallelism=4; with tests)

### Gedit Dependencies

#### Required

git-2.35.1, gsettings-desktop-schemas-41.0, gtksourceview4-4.8.2, itstool-2.0.7, and libpeas-1.30.0

#### Recommended

gspell-1.8.4, Gvfs-1.48.1 (runtime), ISO Codes-4.9.0, and PyGObject-3.42.0 (Python 3 module)

#### Optional

GTK-Doc-1.33.2, Vala-0.54.7, and zeitgeist

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gedit

## Installation of Gedit

Install Gedit by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Duser_documentation=false`: This switch disables generating the user documentation. Omit this switch if you have GTK-Doc-1.33.2 installed and wish to generate the user documentation.

`-Dgtk_doc=true`: Use this option to build the reference manual (needs GTK-Doc-1.33.2).

## Contents

Installed Program: gedit
Installed Libraries: libgedit-41.0.so
Installed Directories: /usr/include/gedit-41 and /usr/{lib,share,share/gtk-doc/html,share/help/*}/gedit

### Short Descriptions

gedit | is a lightweight text editor integrated with the GNOME Desktop

Last updated on

- Prev

  Emacs-27.2

- Next

  JOE-4.6

- Up
- Home